From 1b1e94abc21b42ad0a7877ca033acdd949747283 Mon Sep 17 00:00:00 2001
From: Devyani Kota <divs.passion.18@gmail.com>
Date: Mar 14 2016 21:05:06 +0000
Subject: [PATCH 322/1001] Removed redundant associations in models and fedmsgstats files


---

diff --git a/hubs/models.py b/hubs/models.py
index b94a31f..2b94422 100644
--- a/hubs/models.py
+++ b/hubs/models.py
@@ -125,7 +125,6 @@ class Hub(BASE):
     summary = sa.Column(sa.String(128))
     created_on = sa.Column(sa.DateTime, default=datetime.datetime.utcnow)
     widgets = relation('Widget', backref=backref('hub'))
-    # users = relation('Association', backref=backref('hubs'))
     left_width = sa.Column(sa.Integer, nullable=False, default=8)
     archived = sa.Column(sa.Boolean, default=False)
     user_hub = sa.Column(sa.Boolean, default=False)
@@ -307,7 +306,6 @@ class User(BASE):
     openid = sa.Column(sa.Text, primary_key=True)
     fullname = sa.Column(sa.Text)
     created_on = sa.Column(sa.DateTime, default=datetime.datetime.utcnow)
-    # hubs = relation('Association', backref=backref('users'))
 
     def __json__(self, session):
         return {
diff --git a/hubs/widgets/fedmsgstats.py b/hubs/widgets/fedmsgstats.py
index 5ff412f..2a3c643 100644
--- a/hubs/widgets/fedmsgstats.py
+++ b/hubs/widgets/fedmsgstats.py
@@ -43,7 +43,8 @@ def data(session, widget, username):
     url = url.format(username=username)
     response = requests.get(url)
     fedmsgs = response.json()['total']
-    for assoc in widget.hub.users:
+    print dir(widget.hub.name)
+    for assoc in widget.hub.associations:
         sub_list = [u.name for u in assoc.user.subscriptions]
     subscribers = [u.username for u in widget.hub.subscribers]
     return dict(

